Subscribe to form submissions
Creates a webhook subscription for a specific form. When a candidate submits the form, Full Fabric immediately POSTs the complete submission payload to the provided URL. Each URL must be unique per form.
Path Parameters
- Type: stringform
_id requiredUnique identifier of the form.
Body
required
application/json
- Type: objectsubscriptionrequired
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/apis/forms/forms/{form_id}/webhooks/subscriptions
curl https://school.fullfabric.cloud/apis/forms/forms/507f1f77bcf86cd799439011/webhooks/subscriptions \
--request POST \
--header 'Content-Type: application/json' \
--header 'FF-Auth: YOUR_SECRET_TOKEN' \
--data '{
"subscription": {
"url": "https://crm.primrose.edu/webhooks/ff-form-submissions"
}
}'
{
"id": "685d210661e07731f77f5926",
"url": "https://crm.primrose.edu/webhooks/ff-form-submissions",
"form_id": "6385be68976a7719120134aa"
}